petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMMoabGetFieldDof

Gets the global degree-of-freedom of a field (component) defined on a particular MOAB EntityHandle.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetFieldDof(DM dm,moab::EntityHandle point,PetscInt field,PetscInt* dof)

Not Collective

### Input Parameters

| dm | - the discretization manager object
| point | - the MOAB EntityHandle container which holds the field degree-of-freedom values
| field | - the field (component) index

### Output Parameter

| dof | - the global degree-of-freedom index corresponding to the field in the discrete representation (Vec, Mat)

### Keywords

discretization manager, get, global degree of freedom

### See Also

DMMoabGetFieldDofs(), DMMoabGetFieldDofsLocal()

Level:beginner
Location:src/dm/impls/moab/dmmbfield.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages